RepairMessage.RepairMessageSerializer (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.repair.messages

## Class RepairMessage.RepairMessageSerializer

- java.lang.Object
- - org.apache.cassandra.repair.messages.RepairMessage.RepairMessageSerializer

- All Implemented Interfaces:
    IVersionedSerializer<RepairMessage>, RepairMessage.MessageSerializer<RepairMessage>
  Enclosing class:
    RepairMessage

      public static class RepairMessage.RepairMessageSerializer
      extends java.lang.Object
      implements RepairMessage.MessageSerializer<RepairMessage>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepairMessageSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RepairMessage` | `deserialize(DataInputPlus in, int version)` Deserialize into the specified DataInputStream instance.
    `void` | `serialize(RepairMessage message, DataOutputPlus out, int version)` Serialize the specified type into the specified DataOutputStream instance.
    `long` | `serializedSize(RepairMessage message, int version)` Calculate serialized size of object without actually serializing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepairMessageSerializer

          public RepairMessageSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(RepairMessage message,
                                DataOutputPlus out,
                                int version)
                         throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Serialize the specified type into the specified DataOutputStream instance.
      Specified by:
        `serialize` in interface `IVersionedSerializer<RepairMessage>`
      Parameters:
        `message` - type that needs to be serialized
        `out` - DataOutput into which serialization needs to happen.
        `version` - protocol version
      Throws:
        `java.io.IOException` - if serialization fails

    - #### deserialize

          public RepairMessage deserialize(DataInputPlus in,
                                           int version)
                                    throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Deserialize into the specified DataInputStream instance.
      Specified by:
        `deserialize` in interface `IVersionedSerializer<RepairMessage>`
      Parameters:
        `in` - DataInput from which deserialization needs to happen.
        `version` - protocol version
      Returns:
        the type that was deserialized
      Throws:
        `java.io.IOException` - if deserialization fails

    - #### serializedSize

          public long serializedSize(RepairMessage message,
                                     int version)

      Description copied from interface: `IVersionedSerializer`
      Calculate serialized size of object without actually serializing.
      Specified by:
        `serializedSize` in interface `IVersionedSerializer<RepairMessage>`
      Parameters:
        `message` - object to calculate serialized size
        `version` - protocol version
      Returns:
        serialized size of object t

Copyright © 2018 The Apache Software Foundation